Download it now!
Bug 104006 - TRACK CHANGES: Needed an option provides "never don't show tracking info" when open a file.
Summary: TRACK CHANGES: Needed an option provides "never don't show tracking info" whe...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2016-11-18 10:55 UTC by Gülşah Köse
Modified: 2016-11-30 22:50 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
tracking change on MS 2013 (14.89 KB, image/png)
2016-11-18 13:05 UTC, Gülşah Köse
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gülşah Köse 2016-11-18 10:55:28 UTC
Description:
It would be nice we can provide an option to users for selecting their general preferens about show or hide tracking info when they open a file. (docx,odt ...)
When no choice is made, users will always be uncomfortable to close by hand.

Steps to Reproduce:
1. Open a file includes recorded changes.
2.
3.

Actual Results:  
It shows tracking info.

Expected Results:
Should be a general option for showing or hiding tracking info when open a document.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 Cor Nouws 2016-11-18 11:35:34 UTC
Hi Gülsah,

(In reply to Gülşah Köse from comment #0)
> It would be nice we can provide an option to users for selecting their
> general preferens about show or hide tracking info when they open a file.
> (docx,odt ...)

So you mean in Writer, not in Calc.

> When no choice is made, users will always be uncomfortable to close by hand.

Then the result will be that if someone sends a file with tracked changes, that you won't notice.. I'm not sure if  that a safe way to work..
Adding ux-advice in CC
Comment 2 Gülşah Köse 2016-11-18 11:47:19 UTC
(In reply to Cor Nouws from comment #1)
Hi Cor,

> So you mean in Writer, not in Calc.
yes, i mean writer.

> Then the result will be that if someone sends a file with tracked changes,
> that you won't notice.. I'm not sure if  that a safe way to work..
> Adding ux-advice in CC

It should be default "show" i think too. But to prevent that you say, we can show info message for 1 2 seconds like as "that document includes changes ..."
Comment 3 Gülşah Köse 2016-11-18 11:54:48 UTC
In my Opinion Tools->Options->LibreOffice->Accessibility->Miscellaneous Options is suitable place to add that option.
Comment 4 Timur 2016-11-18 12:16:17 UTC
In my view, this doesn't make sense and should be WontFix.
Removing bugs from See Also, not related.
Comment 5 Cor Nouws 2016-11-18 12:21:36 UTC
(In reply to Gülşah Köse from comment #2)

> It should be default "show" i think too. But to prevent that you say, we can
> show info message for 1 2 seconds like as "that document includes changes
> ..."

So currently, if the changes are shown or not is stored in the specific document.

And you suggest that a user can overrule that with a global setting, and then when that setting is set to 'hide' and a document is opened that has tracked changes visible, there is a popup, informing the user.

Then I think that when the setting is set to hide, and a document doesn't show the tracked changes, and when the user chooses Edit > Track changes > Show, that same popup appears?
Comment 6 Gülşah Köse 2016-11-18 12:48:36 UTC
(In reply to Cor Nouws from comment #5)
> (In reply to Gülşah Köse from comment #2)

> So currently, if the changes are shown or not is stored in the specific
> document.
> 
> And you suggest that a user can overrule that with a global setting, and
> then when that setting is set to 'hide' and a document is opened that has
> tracked changes visible, there is a popup, informing the user.

Yes

> 
> Then I think that when the setting is set to hide, and a document doesn't
> show the tracked changes, and when the user chooses Edit > Track changes >
> Show, that same popup appears?

Edit > Track changes > Show will work normally. Any popup appears. That option should set the first time opening preferences that file. After that user can show or hide tracking changes normally.
Comment 7 Gülşah Köse 2016-11-18 13:05:07 UTC Comment hidden (obsolete)
Comment 8 Gülşah Köse 2016-11-18 13:05:18 UTC Comment hidden (obsolete)
Comment 9 Gülşah Köse 2016-11-18 18:21:16 UTC Comment hidden (obsolete)
Comment 10 Mike Kaganski 2016-11-24 11:45:30 UTC
IMO that's a Bad Thing.

Instead of informing and educating users about this powerful workflow, and providing them with handy tool to hide that as soon as they *decide* it's unimportant to them now (like appropriately positioned and labeled toolbar/sidebar button), this will (1) require (presumably inexperienced) users to go to some options to turn it off, and (2) create new situations when two parties that exchange information see different things and don't understand each other; that will raise the need to teach those users how to turn it on when needed.

If users know what this feature is for, it will not be uncomfortable for them to press a button; if they don't know, then it will be bad for their document exchange with original sender if they don't learn.
Comment 11 Gülşah Köse 2016-11-24 12:15:30 UTC
Thanks all of you for reporting your views. Changing it to WontFix
Comment 12 Timur 2016-11-28 15:07:15 UTC
This option can be set in MSO per https://support.microsoft.com/en-us/kb/831771 in "Options-Trust Center-Trust Center Settings-Privacy Options-Make hidden markup visible when opening or saving". 
I think it's checked by default. 
If that's what the reporter meant, I'm changing my mind on this, this could be a valid request (although that should normally stay checked).
Comment 13 Timur 2016-11-29 15:49:42 UTC
I proposed this be: "Make tracked changes visible when opening or saving" with: Show Changes, Note Changes, No Changes, As Saved in the Document. 
(Note Changes will be a new bug).
I received a feedback that is starting to make the whole thing too complicated for the user. 
But I think average user doesn't have to change this, it's only for advanced users who want it. 
Please comment.
Comment 14 Heiko Tietze 2016-11-30 08:33:02 UTC
(In reply to Timur from comment #13)
> I proposed this be: "Make tracked changes visible when opening or saving"
> with: Show Changes, Note Changes, No Changes, As Saved in the Document. 
> (Note Changes will be a new bug).
> I received a feedback that is starting to make the whole thing too
> complicated for the user. 
> But I think average user doesn't have to change this, it's only for advanced
> users who want it. 
> Please comment.

What is the use case to not show tracked changes? I mean beyond a "it would be nice" to have. The purpose of tracking changes is to show them to other readers, and what Microsoft did caused 'funny' epic fails when previous versions were shared in official documents.
Comment 15 Yousuf Philips (jay) (retired) 2016-11-30 22:50:30 UTC
As the state of 'Show track changes' is saved in a document, there isnt a need for such an option to be available for advanced users. So agree with others that this is WONTFIX.